
  [COLOR dodgerblue][B]Version 5.12[/B][/COLOR]
- Added shuffle option for lists under My Lists Menu.
  Duplicate/add list to a menu or shortcut folder from watchlist, personal, liked and
  public lists, etc.  Prefix the list name with "Shuffle" and the list will be shuffled
  on load or widget refresh (with respect to pagination).
- Fixed uncached results sorted to top.
- Added Sort to Top setting for Results/Sorting and Filtering:
    HEVC Files Filter
    HDR Files Filter
    Dolby Vision Files Filter
    AV1 Files Filter
- Minor changes.

  [COLOR dodgerblue][B]Version 5.11[/B][/COLOR]
- EXPERIMENTAL: Added Cache And Play to uncached TorBox usenet results context menu.
- Refactored Trakt/MDBList cache functions.
- Added MDBList Collection list and some caching to reduce api calls.
- Added MDBList watched status and resume progress (requires re-authorization).
  Set on successful activation, can be toggled in addon
  Settings/Features/Watched Indicators/Watched Status Provider.
  Syncs at startup and with Trakt Cache Refresh Data setting.
  API is request limited per 24 hours, check available requests at
  My Lists/MDBList Account Info.
- Added Check Cache Status to Real Debrid/AllDebrid results context menu options.
  Changed Check Cache Status to window because some skins do not display notification.
- Removed Simkl due to low client_id api limits.
  Anime menu needs to be restored "To Default" from within Anime Menu context menu.
  Any Anime menu items added to other menus/folders need to be removed and re-added.
- Fixed empty season list, thanks Redditor!
- Added MDBList external lists, sort respects Settings/Navigation/Sorting/MDBList Sort Type.
- Added bitmagnet.
- Updated instances urls.

  [COLOR dodgerblue][B]Version 5.10[/B][/COLOR]
- Change for some titles missing mpaa metadata.
- Changed sources to respect Settings/Results/Display/Scraper Timeout.
- Added prowlarr.
- Increased Trakt api timeout to 10s.
- Added Exclude Completed Season Premieres subsetting for Auto Play.
- Disabled Auto Play for all Rescrape with... context menu options.
- Added Show Notification Before End (secs) subsetting for
  Autoscrape Next Episode (source select).
- Changed Autoplay Next Episode, Continual Random Play functions.
- Fixed TorBox uncached usenet error.

  [COLOR dodgerblue][B]Version 5.09[/B][/COLOR]
- Added Clear Cloud Storage to Offcloud results context menu.
- Fixed Offcloud resolve magnet.
- Refactored Easynews.
- Added Play (Seek Enabled) to Easynews results context menu.
- Added Play (From Download) to Easynews results context menu.
- Fixed Next Episodes to respect SET VIEWS: Episodes Lists setting.

  [COLOR dodgerblue][B]Version 5.08[/B][/COLOR]
- Probable fix for Easynews, thanks Redditor POVAnonyMouse!
- Probable fix for AllDebrid.
- Added Vietnamese to meta language choices.
- Added setting to change instance preference for aiostreams, comet, mediafusion, torz.
  Recommended to clear External Scrapers Cache after switch.
- Rewrite aiostreams.
- Rewrite stremthru torz p2p, improved season/show pack detection.
- Changed subtitles, removed utf-8 filter.
- Changed TorBox authorization process.
- Fix for TorBox usenet results as unchecked, thanks Redditor!
- Added Debrider as a debrid provider.
- Added stremthru torz.
- Change to automatically include uncached results when Scrape With All Filters Ignored.
- Added During/After/Dual Credit Scene to Extras Plot label (if available).
- Added Playback settings, Enable Credit Scene Notification (Movie Stingers).
- Added TorBox settings, Filter User Search Services Only.
- Added TorBox settings, Use Usenet Services/Add Resolved Usenet to Cloud.

  [COLOR dodgerblue][B]Version 5.07[/B][/COLOR]
- Changed aiostreams to include comet, mediafusion, torrentsdb, stremthru torz p2p.
- Fixed Options... menu from widget.
- Fixed torrentio cached results.
- Added "Clean Stale Kodi Thumbnails" to Clean Settings Files and Clear Caches menu.

  [COLOR dodgerblue][B]Version 5.06[/B][/COLOR]
- Added Settings/Sources/Test All Source Providers (Magneto).
- Added torrentsdb.
- Fixed aiostreams results.
- Removed bitsearch, torrentquest.
- Fixed remove from MDBList error.
- Fixed mediafusion cached results.
- Too many.

  [COLOR dodgerblue][B]Version 5.04[/B][/COLOR]
- Changed Real Debrid api url.
- Fixed Add To for Discover keywords.
- Refactored apis/indexers/debrid/external modules.
- Change for 'orginal_title' aliases, thanks Redditor!
- Increased timeout for TMDB/Trakt non 'get' methods.
- Added Toggle Dropped... to Trakt Lists Manager for tv shows.
- Added Trakt Dropped TV Shows menu item to My Lists/Trakt Lists.
- Watched/In Progress TV Shows and Next Episodes now respect Trakt Dropped TV Shows.
- Removed Next Episode Manager.
- Added Edit List Properties to TMDB Lists context menu.
- Probable Fix for Real Debrid, requires reauthorization.
- Changed MDBList.  "the call is coming from inside the house"
- Fixed slow Export to TMDB for MDBList Public/Personal lists.
- Changed Trakt Watchlist Export to TMDB, sent in ascending collected_at sequence.
- Removed Include Trakt Watchlist from Next Episodes settings.
- Added Export to TMDB to Trakt Watchlist menu.
- Added Purge Watchlist on Trakt Refresh to Settings/My Lists/TMDB Lists.
  With this enabled, POV will programmatically attempt to remove watched/in progress
  movies and tv shows from the TMDB Watchlist.  This will occur on the same sync interval
  as the Trakt Service (startup and Settings/My Lists/Trakt Cache interval Refresh Data...).
- Added TMDB Watchlist, Favorites to TMDB Lists Manager context menu.
- Added TMDB Watchlist, Favorites, Recommendations to My Lists.
- TMDB Lists pagination now respects Settings/Navigation/Paginate Lists When Possible.
- Removed Page Multiplier for List Items in Settings/My Lists/TMDB Lists.
- Added Export to TMDB context menu item to MDBList Public/Personal lists.
- Added Trakt Dropped Manager to any tv show Options... context menu.
- Changed Next Episode Manager to Trakt Dropped Manager.
  Utilizes Trakt "dropped" api to mimic website behavior.  Hidden shows can be transferred
  to dropped from the Trakt website under Settings/Hidden Items/Watched Progress.
- Final feature update.

  [COLOR dodgerblue][B]Version 5.03[/B][/COLOR]
- Added aiostreams.
- Added Export to TMDB context menu item to Trakt Public/Personal lists.
- Added Page Multiplier for List Items in Settings/My Lists/TMDB Lists.
- Fixed TMDB Lists to allow for more than 20 lists.
- Added TMDB Lists Manager to context menu.
- Added TMDB Custom Lists to My Lists.  Authorize account in Settings/My Lists.
- Probable Fix for Autoplay Next Episode/Continual Random Play only playing one episode.
- Added Sort Priority Language at Top in Settings/Results/Sorting and Filtering.
- Added Enable Reuse Language Invoker Fix setting in Settings/General.
- Added TorBox Usenet Search Sort setting in Settings/My Services/TorBox.
- Added TorBox Usenet Search to Options... context menu and My Services menu.
- Added Clear MDBList Cache.
- Updated Comet/Mediafusion.  Added Comet Debrid+ for RD/AD crowd sourced cached status.

  [COLOR dodgerblue][B]Version 5.02[/B][/COLOR]
- Added Rating Poster Database api.  Insert API key in Settings/Metadata.
- Added Scrape From Episode Group to "Options..." context menu for episodes.
- Added MDBList Watchlist menu items/api endpoints.
- Added Results/Results Display/WideList settings.
- Added Navigation/Context Menu Sorting settings. (0 disables item)
- Added Parental Guide to Extras window.
- Added EasyDebrid endpoint to add uncached torrents.
  Currently the only response is success/fail, no way to check status.
- Added Clean List context menu item for MDBList lists.
  This will attempt to remove watched Movies and in progress/watched TVShows.
- Added support for MDBList private lists.
- Added Navigation/MDBList Sort Types/List Default, Random settings.
- Added Navigation/Sorting/MDBList Sort Type settings. (only affects user lists)
- Added Ratings/Reviews to Extras window with valid MDBList API Key.
- Added MDBList Manager to context menu.
- Added MDBList to My Lists.  Insert API Key in Settings/My Lists.

  [COLOR dodgerblue][B]Version 4.12[/B][/COLOR]
- Removed aiostreams.
- Added "Reset All Views" to Set Views menu.
- Added setting "Custom Fanart Image", affects most main menu items.
- Added aiostreams.
- Removed comet.
- Rewrite tb_cloud scraper to include completed TorBox usenet and web download.
- Fix for format change in mediafusion results.
- Added "Most Favorited This Week" for Movies/TVShows.
  From the context menu restore to default or check for new items.
- Added episode_type property.
- Refactored Offcloud/TorBox cloud scrapers.
- Completed clear cache for Offcloud/TorBox.
- Added "Premium Expires Notification (days)" for each debrid (0 disables check).
- Refactored each debrid.
- Changed Real Debrid/AllDebrid integration.
  Only two sources that will return results, `torrentio debrid+` and `mediafusion debrid+`.
  This relies on the `torrentio` and `mediafusion` internal caches, so there is a little
  logic and the chance of it being cached is high.  If you only have either debrid, disable
  all others OR enable "display uncached" and manually add those to cloud to view from there.
- Changed `nyaaio` scraper to include more of the foreign language sources from torrentio
  and disabled title check.
- Added completed TorBox usenet to TorBox Cloud Storage.
  Playback links from TorBox are still problematic.  Check the kodi.log before complaints
  the addon does not work.
- Added TorBox "Add Resovled Torrents to Cloud".
  This is disabled by default for consistency with other debrid services.  Disabled means
  that after receiving a resolved link from the service, the torrent will be deleted from
  the users cloud.
- Fix for TorBox Cloud Storage.  Thanks Reddit/Discord users!
- Fixed AllDebrid no results.  Clear External Scrapers Cache after switching debrid provider.
- EXPERIMENTAL: changed Full-Screen playback window, if errors occur change setting
  Playback/Loading Progress to Background.  One service in particular seems to cause
  kodi to "freeze", causing pause in the animation.
- Added EasyDebrid as a debrid provider.
- Added zilean.
- Changed mediafusion to "Direct Torrent" only.

  [COLOR dodgerblue][B]Version 4.11[/B][/COLOR]
- Added TorBox as a debrid provider.
- Added torbox cloud scraper and enabled context menu download options.
- Added meta_language iso:pt-BR, name:Portuguese (Brazil).
- Added meta_language iso:es-MX, name:Spanish (Mexico).
- Added animetosho

  [COLOR dodgerblue][B]Version 4.10[/B][/COLOR]
- Enabled piratebay as default, disabled bitsearch.
- Changed custom season/episode scraping.
- Changed scrape and resolve to respect Playback/Loading Progress settings.
- Changed setting "Loading Progress" default to "Full-Screen".
- Added comet, mediafusion.
- Added torrentquest.
- Added setting "Size Sort Order".
- Added setting "AV1 Files Filter".

  [COLOR dodgerblue][B]Version 4.09[/B][/COLOR]
- Added setting "Include Unaired Items in Trakt Watchlists".
- "Continual Play Random" now utilizes "Autoplay Next Episode" popup.
- Moved TVShows "Play Random" to "Options..." context menu because it was too sparse.

  [COLOR dodgerblue][B]Version 4.08[/B][/COLOR]
- Fix for Real Debrid api changes.
- Added torrentdownload.
- Removed magnetdl.

  [COLOR dodgerblue][B]Version 4.07[/B][/COLOR]
- Added small Anime menu courtesy of Simkl.  From root context menu, Edit and
  "Restore" menu or "Check" menu for new items.
- Changed request timeout for Real Debrid because random items like "The Office (US)" take
  30+ sec to complete.  For this to work, the setting Results/Scraper Timeout also needs
  to be increased to 30+ sec.  Thanks to insight from comment in Venom source code.
- Added "Disable" as option for "Jump To... List Navigation."

  [COLOR dodgerblue][B]Version 4.05[/B][/COLOR]
- Added "watchedprogress".
- Fixed "Set Watched in Kodi Library..."  This was broke a long time ago, guess only
  one user who reported it.
- Settings changes.
- Added "Loading progress / Background Dialog or Background Image" setting to Playback.

  [COLOR dodgerblue][B]Version 4.04[/B][/COLOR]
- NOTICE: Trakt re-authorization required with 4.04.01 release.
  Trakt will not work without due to separating api keys for each addon in repo.
- Added "Trending Recent" to Movies/TV Shows.  These lists include titles from this/last year.
  From Edit context menu, "Restore" menu or "Check" menu for new items.
- "InfoList" returned as results display.
- Added "Release Date" to Collection/Watchlist sort options.
- Fixed Discover export options.
- Fixed "Browse" options in widget context menu.

  [COLOR dodgerblue][B]Version 4.03[/B][/COLOR]
- Fixed search Movies Collection (TMDb).  This was broke a long time ago, guess no one uses.

  [COLOR dodgerblue][B]Version 4.02[/B][/COLOR]
- Fixed Autoplay Next Expisode.
- Added "Autoscrape Next Episode (source select)."  There will be no window, but
  this setting uses the same activation parameters as "Auto Play / Autoplay Next Episode."
  Leave those as default or enable the setting and customize, but be sure to then
  disable "Auto Play / Autoplay Next Episode" as those settings will take precedence.
- Added "Clear Cloud Storage" for Offcloud.
- Changed bitsearch scraper to request one page with limit=50 rather than two requests
  with default page limit=~20.
- Added bitsearch sort preference for "random/largest" available.
  Ostensibly, one could have only bitsearch enabled and return a greater variety of
  4k,1080,720,SD results rather than mostly 4k results.
- bitlord, eztv, glodls, torrentdownload, likely to be removed in next version.
- Added meta_language iso:ar-SA, name:Arabic Saudi Arabia.
- Added two torrentio alternatives.
- Fixed Offcloud user cloud scraper quality count.
- Removed Furk.
- Enabled "Use Torrent Services" in settings to disable debrid service but allow access to
  cloud from "My Services" menu.
- Fixed Offcloud "Authorize/Revoke" missing.
- Added Offcloud cloud scraper to search existing items in user cloud.  Offcloud api
  does not provide file metadata, do not report zero size files.
- Fixed Offcloud resolver for single file torrents.
- Added more logging for Offcloud error responses.
- Disabled playback for certain file types from Offcloud because their api is not friendly.

  [COLOR dodgerblue][B]Version 4.01[/B][/COLOR]
- Added Offcloud as a debrid provider.
  Offcloud seems to yield most results when torrentio also enabled.
- Added magnetdl,rutor to the torrentio search links.

  [COLOR dodgerblue][B]Version 3.12[/B][/COLOR]
- Changed "title sort" for lists reported by reddit user.

  [COLOR dodgerblue][B]Version 3.09[/B][/COLOR]
- Fixed "Clear All Cache" not removing some data from cache.
- Fixed missing "Discover Help" text.
- Icon changes. If icons are missing, "Reset" menu from menu editor.

  [COLOR dodgerblue][B]Version 3.08[/B][/COLOR]
- Revert threading code as fix for previous update that broke in Android.
- Trakt lists now support mixed Movies/TVShows/Seasons/Episodes,
  i.e. "The Essential X-Files Episodes" and "Star Wars Canon timeline."
  Even if you do not choose to "Paginate Lists When Possible," enable this setting and
  change it to a reasonable amount for your device and then disable it. Even if disabled,
  POV will use this nominal value to limit the number of threads used when creating lists.
- Trending/Popular/Search lists without Trakt authentication have been supported since 2.18.0.
  Mixed lists have only been tested with the Trending/Popular/Search lists.
  I do not use Trakt, but I do use these lists.
- Changed default sources to bitsearch, torrentio, and eztv.
- Some cosmetic changes to custom windows.

  [COLOR dodgerblue][B]Version 3.05[/B][/COLOR]
- Fixed issue with resume in Kodi 20 Nexus.

  [COLOR dodgerblue][B]Version 3.03[/B][/COLOR]
- Fixed issue with adding non folder menu items to main menus and resulting busy spinners.
  Thanks for the insight from [COLOR dodgerblue]Tikipeter[/COLOR].
- Fixed occasional busy spinners that started with Kodi 20 Nexus and one occasional
  empty results window from way back.

  [COLOR dodgerblue][B]Version 3.02[/B][/COLOR]
- Added back user defined undesirables through comma separated list. See "Sources" settings.
  Example: define "8ch,7ch,atmos,hqcam" to filter out these terms.
- Added more Kodi 20 Nexus changes.

  [COLOR dodgerblue][B]Version 3.01[/B][/COLOR]
- Added rudimentary fix for Kodi 20 Nexus release, incomplete but will cut down some of the
  warning messages. Tested only with Kodi 19.5/20 in Windows 10. New requirements seem
  over-engineered, but people are desperate for 1000s list items so it is apparently needed
  for speed improvement. Same goes for new settings format.

  [COLOR dodgerblue][B]Version 3.0.0[/B][/COLOR]
- Added support for TMDb logos when "Include Extra Art" turned off.
- Changed dialog sizes/colors. If alignment is off, check with default Kodi skin
  before reporting.
- Changed scraping dialog progress to reflect ratio of completed versus enabled
  providers/debrids. This was previously based on time.
- Removed the settings toggles from the "Options..." menu.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.21.0[/B][/COLOR]
- Fixed Real Debrid authorization.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.20.0[/B][/COLOR]
- Changed scraper dialog when fanart clearlogo is enabled fanart background is disabled.
- Removed torrentgalaxy scraper. torrentio sources many sites including torrentgalaxy.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.19.0[/B][/COLOR]
- Changed meta_cache memory string unique to POV.

  [COLOR dodgerblue][B]Version 2.18.0[/B][/COLOR]
- Non-Trakt users can now access (some) Trakt lists under "My Lists."
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.17.0[/B][/COLOR]
- Moved tools from main menu to Settings menu (restore root menu to default required).
- Renamed settings categories My Lists/My Services to match root menu.
- Removed low priorty scrapers.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.16.0[/B][/COLOR]
- Changed menu positions (context menu: "Options/Extras", Extras: "Recommended")

  [COLOR dodgerblue][B]Version 2.15.0[/B][/COLOR]
- Added settings action to force Sync Trakt Activity.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.14.0[/B][/COLOR]
- Added debrid account expiration notification at startup if less than 7 days.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.13.0[/B][/COLOR]
- Migrated scrapers to POV addon, see POV settings to enable/disable
  individual sources.
- Please uninstall separate FenomScrapers addon (Orphaned).
- Context menu scraper navigation may not be complete, more testing needed.
- Removed support for hosters, may bring back in future.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.12.0[/B][/COLOR]
- Fixed settings option to set POV or Trakt as Watched Status Provider.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.11.0[/B][/COLOR]
- Changed TMDb search for certain tv categories, will filter by English as the
  original language.
- Changed code to Trakt/Real Debrid authorization.
- New media icons.

  [COLOR dodgerblue][B]Version 2.9.0[/B][/COLOR]
- Authorize/revoke accounts directly from POV addon, removed
  dependency for separate accounts addon.
- Trakt/Easynews/Furk functions are beta at this time.
- Changed settings organization/defaults.

  [COLOR dodgerblue][B]Version 2.8.0[/B][/COLOR]
- Updated for new My Accounts/Fenomaccounts addon id to prevent other addons
  clobbering ours.
- In the case more than one MyAccounts addon installed, access though
  Fen>Settings>My Accounts.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.7.0[/B][/COLOR]
- Migrated script.tikiart media to Fen, removed dependency script.tikiart.
- Migrated script.tikiart screenshots to Fen as they are Fen oriented.
- Changed changelog.txt path.
- Changed "Filter Results By Size", reverted setting to maximum file size (10000MB default).
- Reverted all Fen databases to addon_data folder.
- Changed setting causing erroneous lines in settings file.
- Fixed hard coded Trakt/TMDb api, moved to settings file defaults.

  [COLOR dodgerblue][B]CREDITS[/B][/COLOR]
- Fen, Venom, Mr-Kodi.

  [COLOR dodgerblue][B]Version 2.6.12/13[/B][/COLOR]
- Fixed Trakt In Progress issues for Movies and TV Shows where no TMDb ID can be fetched.
- Fixed Multiselect Genres.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.6.11[/B][/COLOR]
- Added sorting options for Trakt Watchlist and Trakt Collection (Date Added or Title).
- Added sorting options for In Progress and Watched Movies/TV Shows/Episodes (Recently Watched or Title).
- Partial re-write of in progress/watched related code.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.6.10[/B][/COLOR]
- "Cast" list can now be enabled/disabled along with the other lists in "Extras". Extras list preferences are unfortunately reset for this update. So head to Settings->General->Extras->Enable Content for Extras Lists to re-set these.
- Some improvements to "Extras" & "People" XML window grouplists should provide more consistent navigation.
- Both "Watched" and "In Progress" Menus for Movies and TV Shows are now sorted by most recently watched.
- Trakt Watchlist Menus are now sorted by most recently added.
- Added "Navigation" tab to settings which will house all settings to do with Movie/TV Show/Episode lists. These settings are moved from General tab.
- Added "Enable Kodi Menu Caching" to Settings->General. Leave this on unless you are having issues with certain skins (normally JurialMunkey skins).
- Moved to "traktcache2.db" in preparation for certain Trakt changes. "traktcache.db" can be deleted if you want. Doesn't matter either way.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.6.09[/B][/COLOR]
- Re-added "Up Coming" to Movie and TV Show menus. Restore these menus to default to view the new item in each.
- Changed behavior of trakt sync when first authorizing Trakt account.
- Fixed issue of using old trakt token straight after required refresh of token performed.
- Added check of device sleep state to pause Trakt Sync during sleep. Refactored check for screensaver state which also pauses Trakt Sync when active.
- Refactored code to remove nested functions in metadata module.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.6.08[/B][/COLOR]
- Added "Recommended..." to Movie & TV Show Context Menu. Will load a list of recommended titles for the currently highlighted Movie/TV Show. Same thing was already possible through "Because You Watched" menus and also within the "Extras" window. Oh, it was already available from within the "Discover" menus too.
- Fixed RD Cloud browsing behavior when no items present.
- Switched to using sessions for requests.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.6.07[/B][/COLOR]
- Changed sort order of "In Progress TV Shows" to most recently watched.

  [COLOR dodgerblue][B]Version 2.6.06[/B][/COLOR]
- A couple of quick fixes.

  [COLOR dodgerblue][B]Version 2.6.05[/B][/COLOR]
- Added "Scrape With All Filters Ignored" to Options menu to perform a scrape while disabling all Fen and Fenomscraper filters.
- A couple more quick fixes.

  [COLOR dodgerblue][B]Version 2.6.04[/B][/COLOR]
- Needed to change a user_data folder name for "caches" because OpenWizard arbitrarily scans users' Kodi filesystem and deletes folders named a certain way. Unbelievable.

  [COLOR dodgerblue][B]Version 2.6.03/04[/B][/COLOR]
- Added "Most Watched This Week" by request to Movies and TV Shows menus. Restore these menus to default to view the new item in each.
- A couple more quick fixes.

  [COLOR dodgerblue][B]Version 2.6.02[/B][/COLOR]
- A couple of quick fixes.

  [COLOR dodgerblue][B]Version 2.6.01[/B][/COLOR]
- Partial re-write of navigator code. Unfortunately all Fen default menus will return to default and all Shortcut Folders will be lost.
- Partial re-write of metadata and meta caching code. Unfortunately all metadata will be wiped with this update and will need to be re-cached.
- Partial re-write of debrid torrent cache check code.
- Partial re-write of download code.
- Partial re-write of sources code.
- Partial re-write of search and search history code.
- Partial re-write of other areas of code.
- Added Kodi Log Uploader to Tools->Changelog & Log Utils. See Fen Tips for more info. Thanks to 123Venom whose code I stole. :)
- Added variable caching times for Movie and TV Show metadata.
- Added "Continual Random Play" for TV Show episodes. See Fen Tips for more info.
- Lowered durations of variable caching for scraper results.
- Removed "Enable Highlight Colors for Extras Lists" setting. No longer a feature. PIL module dependency removed as a result.
- Moved all Fen userdata databases to a "caches" folder.
- "Anticipated", "Upcoming", "Top Rated", "Mosts", "Search" removed from Movie and TV Show menus.
- Changes to utilize new FenomScrapers code.
- Many other changes to under the hood, so if there are problems after this update, please open an Issue on github. The new log uploader should make it easier to provide a log.

  [COLOR dodgerblue][B]Version 2.5.21[/B][/COLOR]
- Some changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.20[/B][/COLOR]
- Removed auto showing of Changelog when addon updates. You'll have to go into Tools to check the changelog now after updates.
- "Folder" scrapers now require you to name them to be included in a scrape when enabled.
- Unfortunately a third partial re-write of sources code.
- Added brief pause to Fen widget making to try and get around a reuselanguageinvoker Kodi bug where the widgets disappear when refreshed, usually after playback ends. Might work, might not. EDIT: Didn't work. Removed next update.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.19[/B][/COLOR]
- Unfortunately, another partial re-write of sources code due to an error I discovered after the previous update.
- This might be it for a while with Fen updates people. Any quickly reported issues I'll try and fix, but I need to have a serious think about why I'm actually doing this at the moment. It was a good fun ride if this is the end (I'm not stating as fact that this is the end).

  [COLOR dodgerblue][B]Version 2.5.18[/B][/COLOR]
- Changes to scraper code.
- Changes to Trakt progress code.
- Changes to Easynews code.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.17[/B][/COLOR]
- Some changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.16[/B][/COLOR]
- Added "Rows" Source Results display.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.15[/B][/COLOR]
- Couple of quick changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.14[/B][/COLOR]
- Fixed pack file downloading.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.13[/B][/COLOR]
- Added Trakt progress support.
- Added setting General->General->"Use Episode Thumbs For Background When Available". Be sure to have either "High" or "Original" set in Metadata->TMDb Image Resolution, otherwise episode thumbs will be of too low a quality to look decent as a background.
- Removed movie title checking when resolving a cached torrent through Real Debrid. Any issues with real debrid resolving a wrong file please report to the github.
- Reverted high Premiumize timeout as they have fixed their error.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.12[/B][/COLOR]
- Fixed button highlight for On Deck window.
- Fixed Trakt Calendar sorting.
- Increased timeout for Premiumize API calls to 45 seconds (this is temporary to help with PM's current issues).
- Couple more changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.10[/B][/COLOR]
- Couple of changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.09[/B][/COLOR]
- Changes to utilize new FenomScrapers code.
- Added ability to choose custom season/episode numbers when using "Scrape with Custom Values" (Autoplay OFF only).
- Added english translation metadata for searches where default language isn't english and searched media isn't english.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.08[/B][/COLOR]
- Added "Filter Results" to source results context menu. Here you can choose to filter the results shown by Quality, Provider or Keyword/s. More options may come later. Read up about this in Tools-->Tips for Fen Use.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.07[/B][/COLOR]
- Add Python 3 dependency to stop installation on Kodi 18 installs.

  [COLOR dodgerblue][B]Version 2.5.06[/B][/COLOR]
- A couple of fixes and improvements.

  [COLOR dodgerblue][B]Version 2.5.05[/B][/COLOR]
- Changes for new FenomScrapers code. If scraping stops working be sure you have the latest FenomScrapers installed.
- Changes to caching times for External Scraper results.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.5.03-04[/B][/COLOR]
- Few more quick fixes.

  [COLOR dodgerblue][B]Version 2.5.02[/B][/COLOR]
- Couple of quick fixes.

  [COLOR dodgerblue][B]Version 2.5.01[/B][/COLOR]
SOME PLUGIN ENDPOINTS CHANGED WITH LATEST UPDATE. ANY WIDGET ITEMS THAT ARE NOT WORKING WILL NEED TO BE RE-SET.
NEW ARTWORK FOR FEN'S ICON AND FANART. GO TO TOOLS->REFRESH FEN ARTWORK TO FORCE A KODI REFRESH OF THE ARTWORK.
ALSO, SEARCH HISTORY WILL BE LOST THIS UPDATE.
- Many changes to Trakt data and general watched data handling. Please report any issues on github.
- New settings for trakt cache/sync handling found in Settings->Trakt->Trakt Cache.
- Many changes to code for single episode lists (Next Episodes etc). Please report any issues on github.
- Many structural changes to the overall code that may cause issues I have missed. Please report any issues on github.
- Added "Scrape with Custom Values" to "Options..." context menu. This allows users to select a custom title and/or year for the selected media before scraping.
- Added "Filter Results by Name" to all Internal Provider settings. Helps to filter out unrelated results from the provider.
- Fixed (hopefully) downloading TV Shows to network drives.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.44[/B][/COLOR]
- Quick fix for "Trivia" error in Extras info window.

  [COLOR dodgerblue][B]Version 2.0.43[/B][/COLOR]
- Merged Fen Context Menu into main Fen addon. Uninstall the Fen Context Menu addon or you will have double context menu entries on your Fen widgets.
- Added "Filter Results by Name" to Furk Provider settings. Helps to filter out unrelated results from the furk scraper.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.42[/B][/COLOR]
- Merged Tikiskins into main Fen addon. You can remove the tikiskins module if you like, it is no longer used (Orphaned).
- Removed "Info Pop-up" feature. Not used.
- Removed "free" FenomScraper sources support in Fen (GDrive, FilePursuit, Ororo, Library). Please use another addon if you rely on these scrapers.
- Added IMDb Keywords Search for Movies and TV Shows. Found in Search menu.
- Partial re-write of external scrapers code.
- Attempts at a few speed increases across the add-on.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.41[/B][/COLOR]
- Some improvements and silly bug fixes.

  [COLOR dodgerblue][B]Version 2.0.40[/B][/COLOR]
- Partial re-write of "Extras" and "People" window xmls and python code.
- Added setting to enable/disable lists in the Extras window. Settings->General->Extras/Popup->"Enable Content for Extras Lists". The "Plot" and "Cast" items stay by default, but all other list items can be included/excluded from the window. Good idea to exclude the items you don't want displayed, as all enabled info is being called upon winodw open.
- Added caching for Extras window highlight colors.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.38[/B][/COLOR]
- A couple of changes.

  [COLOR dodgerblue][B]Version 2.0.37[/B][/COLOR]
- A couple of fixes.

  [COLOR dodgerblue][B]Version 2.0.35/36[/B][/COLOR]
- A few quick fixes.

  [COLOR dodgerblue][B]Version 2.0.34[/B][/COLOR]
- Separated HDR and Dolby Vision Filters.

  [COLOR dodgerblue][B]Version 2.0.33[/B][/COLOR]
- Added "Enable Highlight Colors" setting to General->Extras/Popup. When enabled, a highlight color will be assigned based on the image color properties of the poster. Default is ON.
- Added "HDR & Dolby Vision Files Filter" to Settings->Results->Sorting & Filtering. Set to Include/Exclude/Prefer(Autoplay).
- Fixed Trakt new list creation in Fen.
- Various other fixes and changes.

  [COLOR dodgerblue][B]Version 2.0.32[/B][/COLOR]
- Some window changes.
- Some code improvements.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.30[/B][/COLOR]
- Fixed progress bar on custom xmls for misbehaving skins.
- Fixed progress bar time for next episode dialog.
- Fixed scrape progress not closing after no selection in prescrape mode.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.29[/B][/COLOR]
- Hopeful fix for playback monitoring.
- Fixed rescrape and select source.
- Added "Exclude Non Acting Roles in Person Results" for Extras. This will attempt to filter out Movies/TV Shows where the person is themself, rather than playing a role e.g. talk show appearances, documentaries. Default is ON.
- Couple more quick fixes.

  [COLOR dodgerblue][B]Version 2.0.28[/B][/COLOR]
- Couple of quick fixes.
- Couple of other changes.

  [COLOR dodgerblue][B]Version 2.0.27[/B][/COLOR]
- Couple of quick fixes.

  [COLOR dodgerblue][B]Version 2.0.26[/B][/COLOR]
- New custom scrape progress window.
- Added setting "Use as Default Provider (Slow)" for Settings->Metadata->Include Extra Art. This will make Fen get all art from Fanart.tv instead of TMDb when possible. If you wish to use this, you will need to clear your metadata first. However, you will only need to clear it this first time. Subsequent enabling/disabling of this setting will NOT need a clearing of the metadata database.
- Extended autoplay next episode seconds from end setting to up to 120 seconds.
- Some structural changes within the addon. So if you notice weird happenings, report them on the github.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.24/25[/B][/COLOR]
- Couple more quick fixes.

  [COLOR dodgerblue][B]Version 2.0.23[/B][/COLOR]
- Quick fix for silly error in last update.

  [COLOR dodgerblue][B]Version 2.0.22[/B][/COLOR]
- Added "Show Results at Top" settings for the 3 debrid cloud scrapers. This will sort any debrid cloud results to the top of the results list, independent of quality/size sorting choices.
- Re-added "Include Unaired Episodes" to Settings->General. Choose to show/hide unaired episodes here.
- Re-added "Show Release Year in Listings" to Settings->General. Set to Movie/TV Show/Both/Off.
- Re-added "Check Year Before Search" to Settings->External Scrapers.
- Re-added "Stop Search Early if Most Sources Finished" to Settings->External Scrapers.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.21[/B][/COLOR]
- Re-added "Autostart FEN When Kodi Starts" to settings->General.
- Remade Autoplay Next Episode.
- Added context menu item for results "Add to Cloud". Use this to manually add the chosen torrent result to the Cloud of your debrid provider.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.20[/B][/COLOR]
- MANY settings/features removed for this update. Roll back to previous version and turn off auto updates if this is an issue. Or of course use a different addon.
- Changed "Filter Results By Size". Now you set your internet line speed rather than a min/max setting. Fen will determine on a per scrape basis the maximum filesize to include based on your internet speed and the reported duration of the movie/tvshow. There is now no way to set a minimum size.
e.g. If you input 20 Mbit/s as your internet speed, Fen will use the max speeds for different length videos as follows:
Length 10min = ~1.35 Gig, Length 30mins = ~4 Gig, Length 60 mins = ~8 Gig, Length 90min = ~12.5 Gig, Length 120min = ~16.2 Gig etc...
Fen will calculate these sizes using 90% of your overall internet speed (the amount you enter in settings).
- Added setting to have Fen scrape using ALL Fenomscraper scrapers instead of just the ones currently set to be used. If you get no results on a scraper search, you can select this to run a scrape with all the scrapers Fenomscrapers has. You can choose to do this from the "Options..." context menu.
- Added setting to enable/disable the Autoplay Next Episode window, if set to OFF you only receive a brief notification when the next episode is ready to be played. Found in Settings->Playback->Episodes->"Show Next Episode Window". Default is ON.
- Fixed Next Episode error in certain circumstances.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.18[/B][/COLOR]
- Trailer playback from Widgets with auto-open Extras enabled will now play in Kodi's default player window, meaning it won't crash Kodi anymore. Unfortunately, it also means Fen's skinned videoplayer window will not be used. I am still searching for a better solution to this problem.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.16/17[/B][/COLOR]
- Added video player window to view trailers etc from Extras window without having to exit Extras window.
- Adjust Next Episode window to accommodate different skin font sizes.
- Suppress "Extras" context menu item when Extras chosen as default action fo Movies/TV Shows.
- Began work on integrating Trakt resume points (no promises).
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.15[/B][/COLOR]
- Added Database Maintenance Service. Will run once a week. Shouldn't be more than 20 seconds on a slow device, (much) quicker on speedier devices, or if database size is already quite small. Can also be run from Tools->Clear Databases & Clean Settings Files->Clean Databases.
- A couple of fixes.

  [COLOR dodgerblue][B]Version 2.0.14[/B][/COLOR]
- Quick fix for Set Views. Re-do any views that didn't save from last update.
- Removed icons "Theme" setting.
- Changes to Folder Scrapers code. Hopefully speeds things up. Tools->"Clear Internal Scrapers Cache" if there are problems with this after update.
- A couple of other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.13[/B][/COLOR]
- Added setting to enable/disable scrollbars in Fen Extras.
- Changed settings to do with Fen Extras and Info Popup. Still located in General, but have their own section.
- Setting ID for automatically opening Fen Extras for Movies/TV Shows has changed. As a consequence, you will now need to re-set this setting.
- Fixed small bug which prevented downloads in latest update.
- Other small changes/fixes.
- Github Repository Issues tab closed until further notice.


  [COLOR dodgerblue][B]Version 2.0.12[/B][/COLOR]
- Added custom xml dialogs for auto next episode playback and still watching check.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.11[/B][/COLOR]
- Added setting to hide unaired episodes. Found in General->Appearance.
- Add ENG backup call for trailers supplied by TMDb that often don't populate when using language other than ENG.
- Added scrollbars for lists in Extras and People windows. Not sure if I'm keeping them yet...
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.10[/B][/COLOR]
- A few changes to Extras and People windows.
- A couple of fixes.

  [COLOR dodgerblue][B]Version 2.0.09[/B][/COLOR]
- Added "Movies Directed" to People info.
- Other quick changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.08[/B][/COLOR]
- Quick release to fix a couple of issues.

  [COLOR dodgerblue][B]Version 2.0.07[/B][/COLOR]
- Fixed episodes not always getting marked as watched when using autoplay next episode.
- Added start up service to check for malformed Fen databases.
- Changes to "People" directories behavior. Now runs on a custom xml.
- Other changes/fixes.

  [COLOR dodgerblue][B]Version 2.0.05[/B][/COLOR]
- Added "Action for Movies/TV Shows" to Settings->General->Navigation. Set this to "Default" or "Open Fen Extras". Default will behave as normal, Open Fen Extras will open Fen's Extras window when a Movie or TV Show is selected. From there you can begin playback/browse into seasons/episodes.
- Added "Play Random" to play a random episode of a TV Show. Found in context menu of TV Show, or in Fen "Extras..." window. Will play one random episode from the selected TV Show. Also available from widgets when using Fen Contextmenu addon.
- A couple more fixes.

  [COLOR dodgerblue][B]Version 2.0.04[/B][/COLOR]
- A couple more fixes.

  [COLOR dodgerblue][B]Version 2.0.02/03[/B][/COLOR]
- A few fixes.

  [COLOR dodgerblue][B]Version 2.0.01[/B][/COLOR]
- Replaced "Notifications" with "Info Popup". Get an info window pop up when browsing to give some info about the media. Works for Movies and TV Shows. Enable & Delay can be set in Settings->General.
- New "Extras" custom dialog window.
- New custom dialogs for Select, Multiselect, Yes/No and OK dialogs.
- Improvements to resolving/autoresolving.
- Many other changes/fixes/improvements.

